%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:                nodejs-monocle
Version:             1.1.51
Release:             2
Summary:             A tool for watching directories for file changes
License:             BSD-2-Clause
URL:                 https://github.com/samccone/monocle
Source0:             https://github.com/samccone/monocle/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(mocha) npm(readdirp)
%endif
%description
%{summary}.

%prep
%autosetup -n monocle-1.1.51
find . -type f -exec chmod -x '{}' \;
%nodejs_fixdep readdirp '2.x'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/monocle
cp -pr package.json monocle.js \
    %{buildroot}%{nodejs_sitelib}/monocle
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
/usr/bin/mocha test -R spec -t 60000
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/monocle

%changelog
* Mon May 9 2022 liyanan <liyanan32@h-partners.com> - 1.1.51-2
- License compliance rectification

* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 1.1.51-1
- Package init
